/*
 Angel Barroso Chico - http://www.gunner.es
 February 2009
*/ 
#region Using

using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Collections.Specialized;

#endregion

public partial class widgets_Ecol_edit : WidgetEditBase
{

	protected override void OnLoad(EventArgs e)
	{			
		if (!IsPostBack)
      {
			bool rndComic = true;
			StringDictionary settings = GetSettings();		
			Idioma.SelectedValue = settings["ecolLang"];
			numComics.Text = settings["numComics"];
			Pixels.SelectedValue = settings["pixSize"];
			if (settings.ContainsKey("rndComic"))			
				bool.TryParse(settings["rndComic"], out rndComic);
			useRndComic.Checked = rndComic;
		}
   }
	
	public override void Save()
	{
		StringDictionary settings = GetSettings();      
		settings["ecolLang"] = Idioma.SelectedValue;
		settings["numComics"] = numComics.Text;
		settings["pixSize"] = Pixels.SelectedValue;
		settings["rndComic"] = useRndComic.Checked.ToString();
      SaveSettings(settings);
	}
}
