/*
 Angel Barroso Chico - http://www.gunner.es
 February 2009
*/ 

#region Using

using System;
using System.Collections.Specialized;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using BlogEngine.Core;

#endregion

public partial class widgets_Ecol_edit : WidgetBase
{
	public override void LoadWidget()
	{
		StringDictionary settings = GetSettings();	
		bool randomComic = true;
		LiteralControl numComics = new LiteralControl(settings["numComics"]);	
		LiteralControl Idioma = new LiteralControl(settings["ecolLang"]);
		
		maxComics.Text = settings["numComics"];
		ecolRes.Text = settings["pixSize"];
		bool.TryParse(settings["rndComic"], out randomComic);
		
		switch (settings["ecolLang"])
      {
			case "1": 
				if (randomComic)
				{
					ecolLink.Text = "http://www.tiraecol.net/modules/comic/comic.php?content_id=###";
					ecolImage.Text = "<img src=\"http://www.tiraecol.net/modules/comic/cache/shots/tiraecol-###-@@@px.png\" title=\"La tira Ecol\" />";
				}
				else
				{
				ecolLink.Text = "http://www.tiraecol.net/";
				ecolImage.Text = "<img src=\"http://www.tiraecol.net/modules/comic/cache/shots/tiraecol-icon-@@@px.png\" title=\"La tira Ecol\" />";
				}
				break;
			case "2":
				if (randomComic)
				{
					ecolLink.Text = "http://en.tiraecol.net/modules/comic/comic.php?content_id=###";
					ecolImage.Text = "<img src=\"http://en.tiraecol.net/modules/comic/cache/shots/tiraecol_en-###-@@@px.png\" title=\"Ecol strip\" />";
				}
				else
				{
				ecolLink.Text = "http://en.tiraecol.net/";
				ecolImage.Text = "<img src=\"http://en.tiraecol.net/modules/comic/cache/shots/tiraecol_en-icon-@@@px.png\" title=\"Ecol strip\" />";	
				}					
				break;
			default:
				break;
      }	
   }

	public override string Name
	{
		get { return "Ecol"; }
	}

	public override bool IsEditable
	{
		get { return true; }
	}

}
